Skip to content

Get Inbox Messages Result

GET
/api/v1/cloud_phones/inboxes/{trace_id}
trace_id
required
Trace Id
string

Successful Response

TiktokGetInboxMessagesResponse
object
result
required
Any of:
Array<object>
InboxItem

Item in the inbox list representing a conversation. Synced with TiktokInboxMessage + UserMessagesResult.

object
friend_nickname
Any of:
string
friend_username
Any of:
string
friend_avatar_url
Any of:
string
messages
Messages

List of messages

Array<object>
MessageItem

Individual message in a conversation. Synced with TiktokUserMessage.

object
type
required
Type

Type of message

string
Allowed values: sticker text time
text
required
Text
string
username
Any of:
string
image_url
Any of:
string
key
additional properties
any
last_message
Any of:
string
last_message_time
Any of:
string
key
additional properties
any
status
required
Status
string
Allowed values: success processing fail unknown timeout

Bad Request

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string

Cloud phone operation or result not found

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string
Example
{
"error": "Operation result not found",
"error_code": "result_not_found"
}

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string

Internal Server Error

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string

Upstream service error fetching result

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string
Example
{
"error": "Failed to fetch result from upstream service",
"error_code": "upstream_fetch_error"
}